Subject: Re: bug#42296: 27.0.91; Correct manual entry for 'concat' w.r.t. allocation [PATCH]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jul 2020 22:24:03 +0300

> Feedback-ID:[email-masked]
> From: Mattias Engdegård <[email-masked]>
> Date: Thu, 9 Jul 2020 21:17:14 +0200
> Cc: [email-masked]
> 
> 9 juli 2020 kl. 20.51 skrev Eli Zaretskii <[email-masked]>:
> 
> > That's not really what I asked for.
> 
> Then I misunderstood; would you explain what you mean in a different way?

I tried to explain that by showing the text I had in mind; I sent that
a minute ago.

> > And how does mutability enter the picture?  We could say something
> > about it (but then we'd have to be less terse), but that doesn't in
> > any way replace the need to say that in many cases the value will be a
> > new string, IMO.
> 
> Sorry, but I still don't understand. What salient quality is there other than mutability? There is identity (uniqueness), but that is included as well. No user is ever worried about that the returned value may actually be a new string; it's very much the other way around.

To my mind, immutability (or, rather, the adverse effects of modifying
the result of 'concat') is the result of the identity.  So it is
conceptually wrong to talk about mutability _instead_ of the identity.
Identity is the basic reason, immutability is the side effect.  Which
is what I tried to say in the text I suggested.

Thanks.